#ifndef _SOLARISCOMM_H_
#define _SOLARISCOMM_H_

#include "commdef.h"
#include "interface.h"

#include <pthread.h>

class SolarisCommInterface : public ArcInterface
{
public:		
	SolarisCommInterface();	
	~SolarisCommInterface();
	bool init(const char nPortNum, char nBaudRate = 7, char nStopBit = 0);
	int send(const char *outBuf, int outLen);	
	int recv(char *inBuf, int inLen);		
	int syncSend(const char *outBuf, int outLen, char *inBuf, int inLen);
	void setTimeOut(int nSec);
	void requirelock();
    void releaselock();

private:
	int	m_hComm;	
	int	nTimeOut;	// in seconds
    int fd;
    pthread_mutex_t mut;
};

#endif
